import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { NumericXAxis } from "./NumericXAxis";
import { CategoryYAxis } from "./CategoryYAxis";
import { IVerticalAnchoredCategorySeriesInteractionManager } from "./IVerticalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { Axis } from "./Axis";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericAxisBase } from "./NumericAxisBase";
import { ScalerParams } from "./ScalerParams";
import { AxisRange } from "./AxisRange";
import { Rect } from "igniteui-react-core";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
/**
 * @hidden
 */
export declare abstract class VerticalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    xAxis: NumericXAxis;
    yAxis: CategoryYAxis;
    cb(): SeriesPlotAreaMarginHorizontalMode;
    cc(): SeriesPlotAreaMarginVerticalMode;
    nh(): void;
    private yy;
    get yz(): IVerticalAnchoredCategorySeriesInteractionManager;
    protected get_isVertical(): boolean;
    vn(): CategoryAxisBase;
    v3(): NumericAxisBase;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    je(a: Point, b: boolean): number;
    jg(a: Point, b: boolean): number;
    hu(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    ar(a: Rect): AxisRange;
    protected bu(): SeriesHitTestMode;
    tw(a: Point): Rect;
    private y7;
    f5(a: Point, b: boolean): boolean;
    ia(a: Point, b: boolean, c: boolean): number;
    tj(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    yb(a: Axis): void;
    yc(a: Axis): void;
    wj(): boolean;
    vh(a: number, b: number): any[];
    hw(a: Point): number;
    wn(a: Point): number;
    i9(a: Point): number;
    js(a: Point): any;
    protected pa(a: any, b: string, c: any, d: any): void;
    y2(a: any): boolean;
    y1(a: any): boolean;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
